summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2010-12-26 04:38:12 +0000
committerMart Raudsepp <leio@gentoo.org>2010-12-26 04:38:12 +0000
commit51df2fadf4298cc8cbf2aa86b4786e5c43ad3ccf (patch)
tree6ff6b116aaa0156f197c979e6f9d21979e158075 /eclass
parentVersion bump. Remove old. (diff)
downloadgentoo-2-51df2fadf4298cc8cbf2aa86b4786e5c43ad3ccf.tar.gz
gentoo-2-51df2fadf4298cc8cbf2aa86b4786e5c43ad3ccf.tar.bz2
gentoo-2-51df2fadf4298cc8cbf2aa86b4786e5c43ad3ccf.zip
Handle old gst-plugins-ugly split packages liboil dependencies correctly, preparing for the transition to orc in newer versions
Diffstat (limited to 'eclass')
-rw-r--r--eclass/gst-plugins-ugly.eclass10
1 files changed, 9 insertions, 1 deletions
diff --git a/eclass/gst-plugins-ugly.eclass b/eclass/gst-plugins-ugly.eclass
index 90cb3a31dc0c..28e3df152db2 100644
--- a/eclass/gst-plugins-ugly.eclass
+++ b/eclass/gst-plugins-ugly.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gst-plugins-ugly.eclass,v 1.19 2010/07/28 06:24:44 leio Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gst-plugins-ugly.eclass,v 1.20 2010/12/26 04:38:12 leio Exp $
# Author : foser <foser@gentoo.org>
@@ -45,6 +45,14 @@ RDEPEND="=media-libs/gst-plugins-base-0.10*"
DEPEND="${RDEPEND}
>=sys-apps/sed-4
dev-util/pkgconfig"
+
+# -ugly-0.10.16 uses orc optionally instead of liboil unconditionally.
+# While <0.10.16 configure always checks for liboil, it is linked to only by a52dec,
+# so we only builddep for all packages, and have a RDEPEND in old gst-plugins-a52dec
+if ! version_is_at_least "0.10.16"; then
+DEPEND="${DEPEND} >=dev-libs/liboil-0.3.8"
+fi
+
RESTRICT=test
fi